	
%define upstream_ver %(echo %version | awk -F. '{ 
    OFS=".";
    if (NF > 1) {
        for (i = 1; i < NF; i++) {
            printf "%s%s", $i, (i == NF-2 ? "-" : ".");
        }
        printf "%s", $NF;
    } else {
        print $0;
    }
}')
%define tarball_ver %(echo %{upstream_ver} | cut -d - -f1)

Summary:        IB Performance Tests
Name:           perftest
Version:        23.10.0.0.29
Release:        5%{?dist}
License:        GPLv2 or BSD
Url:            https://github.com/linux-rdma/perftest
Source0:        %{url}/releases/download/%{upstream_ver}/perftest-%{upstream_ver}.g0705c22.tar.gz
Patch5000:	0001-perftest-23.10.0-add-loongarch64-support.patch
BuildRequires:  make gcc libibverbs-devel librdmacm-devel libibumad-devel pciutils-devel

%description
This package provides a collection of simple test programs designed to
utilize  RDMA communications and provide performance numbers over those
RDMA connections.  It does not work on normal TCP/IP networks, only on
RDMA networks.

%prep
%autosetup -n %{name}-%{tarball_ver} -p1
find src -type f -iname '*.[ch]' -exec chmod a-x '{}' ';'

%build
%configure
%make_build

%install
for file in ib_{atomic,read,send,write}_{lat,bw} raw_ethernet_{lat,bw}; do
	install -D -m 0755 $file %{buildroot}%{_bindir}/$file
done

%files
%license COPYING
%doc README
%_bindir/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.10.0.0.29-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Thu Aug 22 2024 wynnfeng <wynnfeng@tencent.com> - 23.10.0.0.29-4
- [type] other
- [desc] Modify the version acquisition method to adapt to automatic upgrade

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.10.0.0.29-3
- Rebuilt for loongarch release

* Thu May 09 2024 Huang Yang <huangyang@loongson.cn> - 23.10.0.0.29-2
- add loongarch64 support

* Wed Jan 10 2024 wynnfeng <wynnfeng@tencent.com> - 23.10.0.0.29-1
- Upgrade to version 23.10.0-0.29

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Shuo Wang <abushwang@tencent.com> - 4.5-1
- initial build
